#include <iostream>
#include <iomanip>
using namespace std;
struct Frilenser{
    double zarada;
    double maxporez;
};
int main()
{
    int n;
    cin >> n;
    Frilenser x[n];
    for(int i=0;i<n;i++)
        cin >> x[i].zarada >> x[i].maxporez;
    double sumpor=0;
    for(int i=0;i<n;i++)
        sumpor += x[i].maxporez;
    sumpor /= n;
    double sumpor2=0;
    int br1=0;
    double nim=0;
    for(int i=0;i<n;i++)
        if(x[i].maxporez > sumpor)
            br1++;
    int a[br1];
    br1=0;
    for(int i=0;i<n;i++)
        if(x[i].maxporez > sumpor){
            a[br1] = i;
            br1++;
        }
    nim = x[a[0]].maxporez;
    for(int i=0;i<br1;i++)
        if(nim>x[a[i]].maxporez)
            nim=x[a[i]].maxporez;
    double sumapara=0;
    for(int i=0;i<br1;i++)
        sumapara += x[a[i]].zarada;
    cout << setprecision(10)<< (sumapara/100.0f)*nim;
}